Just a heads up that the latest iPrint client for Mac v06.05.00 causes printer installs to fail if the printers in question have driver packages associated to the .PPD. The details are in https://www.novell.com/support/kb/doc.php?id=7018312. In this article there is a link to the previous v06.04.00 client that does not have this issue. The issue has been reported to engineering.